Bug 207955 - CVE-2006-4924 openssh DoS
Summary: CVE-2006-4924 openssh DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: reported=20060919,public=20060919,sou...
Keywords: Security
: 208352 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-25 15:29 UTC by Josh Bressers
Modified: 2018-11-28 20:14 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0697
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 00:18:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0697 normal SHIPPED_LIVE Important: openssh security update 2006-09-28 04:00:00 UTC

Description Josh Bressers 2006-09-25 15:29:01 UTC
Tavis Ormandy of the Google Security Team discovered a denial of service attack
on the openssh sshd daemon when ssh protocol version 1 is enabled.  This flaw
will cause the openssh server to consume a large quantity of the CPU until the
specified timeout is reached.

The upstream patches can be found here:
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/deattack.c.diff?r1=1.29&r2=1.30&sortby=date&f=h
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/packet.c.diff?r1=1.143&r2=1.144&sortby=date&f=h
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/deattack.h.diff?r1=1.9&r2=1.10&sortby=date&f=h

Comment 1 Josh Bressers 2006-09-25 15:30:33 UTC
This issue also affects RHEL2.1 and RHEL3

Comment 6 Josh Bressers 2006-09-28 16:19:55 UTC
*** Bug 208352 has been marked as a duplicate of this bug. ***

Comment 9 Red Hat Bugzilla 2006-09-29 00:18:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0697.html



Note You need to log in before you can comment on or make changes to this bug.